## when 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,11 @@
+# making a new version:
+#    change version number near top of program
+#    make install (so make test will run the right version)
+#    make test
+#    make debian
+#        ... pwd isn't my normal gpg pwd, it's a different one
+#    make post
+
 FILES = when Makefile README when.1 web_page_template.pl
 
 prefix=/usr
@@ -8,6 +16,7 @@
 
 # The following two lines are used only for Debian packaging:
 MAINTAINER_EMAIL = debiancrowell05@lightandmatter.com
+#                       ... can't change this, or it breaks the script
 MAINTAINER_NAME = Ben Crowell
 # ... This is also in debian_stuff/control
 VERSION = `perl when --bare_version`
@@ -76,7 +85,7 @@
 	mkdir $(DEB_SCRATCH)
 	cp $(FILES) $(DEB_SCRATCH)
 	tar -zcf $(DEB_TARBALL) $(DEB_SCRATCH)
-	-cd $(DEB_SCRATCH) && export DEBFULLNAME='$(MAINTAINER_NAME)' && dh_make -e "$(MAINTAINER_EMAIL)" -s -c GPL -f ../$(DEB_TARBALL)
+	-cd $(DEB_SCRATCH) && export DEBFULLNAME='$(MAINTAINER_NAME)' && dh_make -e "$(MAINTAINER_EMAIL)" -s -copyright GPL -f ../$(DEB_TARBALL)
 	cp debian_stuff/* $(DEB_SCRATCH)/debian
 	rm $(DEB_SCRATCH)/debian/*.{ex,EX} $(DEB_SCRATCH)/debian/README.Debian
 	cd $(DEB_SCRATCH) && dpkg-buildpackage -rfakeroot
@@ -99,7 +108,7 @@
 	when --language="en" --test_expression="2004 jan 15,1,m=jan & (d=1 | d=15),test parentheses"
 	when --language="en" --test_expression="2004 feb 15,0,m=jan & (d=1 | d=15),test parentheses"
 	when --language="en" --test_expression="2004 jan 10,0,m=jan & (d=1 | d=15),test parentheses"
-	when --language="en" --test_expression="2004 jan 10,e,((d=1 | d=15)),nested parens should cause error"
+	when --language="en" --test_expression="2004 jan 10,0,((d=1 | d=15)),nested parens should be ok"
 	when --language="en" --test_expression="2004 jan 10,0,(d=1 | d=15),single parens should not cause error"
 	when --language="en" --test_expression="2004 jan  1,1,(d=1 | d=15),single parens should not cause error"
 	when --language="en" --test_expression="2004 jan 15,1,(d=1 | d=15),single parens should not cause error"
