## when 1.1.12

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 # making a new version:
 #    change version number near top of program
+#    change version number in *TWO PLACES* in /home/bcrowell/Documents/web/source/when/when.source
+#    cd /home/bcrowell/Documents/web/source && gmake //// make
 #    make install (so make test will run the right version)
 #    make test
-#    make debian
-#        ... pwd isn't my normal gpg pwd, it's a different one
+#    make debian (see password file for password)
 #    make post
+# Update it on freshmeat.
 
-FILES = when Makefile README when.1 web_page_template.pl
+FILES = when Makefile README when.1
 
 prefix=/usr
 exec_prefix=$(prefix)
@@ -63,17 +65,13 @@
 	rm -Rf $(DEB_SCRATCH) *.deb *.dsc *.asc *.changes *.diff.gz
 	rm -Rf debian_stuff/*~
 	rm -f *~
-	rm -f when.html
 	rm -f when.1
 
-when.html: when when.1 web_page_template.pl
-	perl web_page_template.pl >when.html
-
-post: when.html when.tar.gz
-	cp when.html $(HOME)/Documents/web/web_page/when
-	cp when.tar.gz $(HOME)/Documents/web/web_page/when
-	cp when_$(VERSION)-debian-source.tar.gz $(HOME)/Documents/web/web_page/when
-	cp when_$(VERSION)-*_all.deb $(HOME)/Documents/web/web_page/when
+post: when.tar.gz when when.1
+	cp when.tar.gz $(HOME)/Lightandmatter/when
+	cp when_$(VERSION)-debian-source.tar.gz $(HOME)/Lightandmatter/when
+	cp when_$(VERSION)-*_all.deb $(HOME)/Lightandmatter/when
+	make_plain_text_manpage.pl >$(HOME)/Documents/web/source/when/manpage.txt
 
 when.1: when
 	pod2man --section=1 --center="When $(VERSION)" --release="$(VERSION)" \
@@ -87,7 +85,7 @@
 	tar -zcf $(DEB_TARBALL) $(DEB_SCRATCH)
 	-cd $(DEB_SCRATCH) && export DEBFULLNAME='$(MAINTAINER_NAME)' && dh_make -e "$(MAINTAINER_EMAIL)" -s -copyright GPL -f ../$(DEB_TARBALL)
 	cp debian_stuff/* $(DEB_SCRATCH)/debian
-	rm $(DEB_SCRATCH)/debian/*.{ex,EX} $(DEB_SCRATCH)/debian/README.Debian
+	cd $(DEB_SCRATCH)/debian && ls && rm *.ex *.EX README.Debian
 	cd $(DEB_SCRATCH) && dpkg-buildpackage -rfakeroot
 	rm -Rf $(DEB_SCRATCH)
 	rm -Rf when_$(VERSION)
@@ -99,6 +97,7 @@
 	rm -Rf when_$(VERSION)
 
 test:
+	when --test_accent_filtering
 	when --language="en" --test_expression="2004 dec 25,1,m=dec & d=25,should match"
 	when --language="en" --test_expression="2004 dec 26,0,m=dec & d=25,should not match"
 	when --language="en" --test_expression="2004 jan  1,1,d=1 | d=15,test | operator"
@@ -128,3 +127,5 @@
 	when --language="en" --test_expression="2005 jan 26,1,j%14,test % operator"
 	when --language="en" --test_expression="2005 jan 26,1,!(j%14-1),test - operator"
 	when --language="en" --test_expression="2005 jan 27,0,!(j%14-1),test - operator"
+	when --language="en" --test_expression="2007 apr 8,1,e=0,test e (Easter) variable"
+	when --language="en" --orthodox_easter --test_expression="2008 apr 27,1,e=0,test e (Easter) variable for Orthodox calendar"
