## when 1.1.23

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,18 @@
 # making a new version:
 #    change version number near top of program
 #    change version number in *TWO PLACES* in /home/bcrowell/Documents/web/source/when/when.source
-#    cd /home/bcrowell/Documents/web/source && gmake //// make
 #    make install (so make test will run the right version)
 #    make test
 #    make debian (see password file for password)
 #    make post
+#    touch /home/bcrowell/Documents/web/source/when/when.source
+#    cd /home/bcrowell/Documents/web/source && make
 # Update it on freshmeat.
+# Updating manpage doesn't work right, for reasons I don't understand. M4 seems to remember
+# the previous version of manpage.txt rather than reading it in afresh. To work around this,
+# need to rename it to something other than manpage.txt, alter the when.source file to refer
+# to the new name, run M4.
+# Formatting of holidays section of manpage is also messed up. Fixed by hand in html version.
 
 FILES = when Makefile README when.1
 
@@ -36,12 +42,12 @@
 	# ... make sure it starts with the proper #! line, regardless of whether we're on Linux, BSD, etc.
 	- test -d $(DESTDIR)$(bindir) || mkdir -p $(DESTDIR)$(bindir)
 	# ... if the intended directory doesn't exist, create it
-	install --mode=755 temp $(DESTDIR)$(bindir)/when
+	install -m 755 temp $(DESTDIR)$(bindir)/when
 	# ... 755=u:rwx,go:rx
 	rm temp
 	gzip -9 <when.1 >when.1.gz
 	- test -d $(DESTDIR)$(MANDIR) || mkdir -p $(DESTDIR)$(MANDIR)
-	install --mode=644 when.1.gz $(DESTDIR)$(MANDIR)
+	install -m 644 when.1.gz $(DESTDIR)$(MANDIR)
 	rm -f when.1.gz
 
 deinstall:
@@ -129,3 +135,9 @@
 	when --language="en" --test_expression="2005 jan 27,0,!(j%14-1),test - operator"
 	when --language="en" --test_expression="2007 apr 8,1,e=0,test e (Easter) variable"
 	when --language="en" --orthodox_easter --test_expression="2008 apr 27,1,e=0,test e (Easter) variable for Orthodox calendar"
+	when --language="en" --test_expression="2010 jan 1,1,z=1,day of year variable"
+	when --language="en" --test_expression="2009 nov 10,1,z=314,day of year variable"
+	when --language="en" --test_expression="2010 jul 4,1,c=0-1,c variable, for a weekend"
+	when --language="en" --test_expression="2010 jul 5,1,c=4,c variable, for a Monday"
+	when --language="en" --test_expression="2015 jul 3,1,c=4,c variable, for a Friday"
+	when --language="en" --test_expression="2012 jul 4,1,c=0-1,c variable, for a Tu-Th weekday"
