=== debian/changelog ===
when (1.1.23-1) unstable; urgency=low

  * New upstream release.
  * Drop fix_517481_typo_in_localization.patch as it was applied
    upstream.
  * Refresh debian/copyright.
  * debian/control: Drop use of ${shlibs:Depends} in Depends field.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 14 Dec 2010 08:10:12 +0100

when (1.1.22-1) unstable; urgency=low

  * New upstream release. 
  * Refresh fix_517481_typo_in_localization.patch patch.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 04 Nov 2010 09:46:22 +0100

when (1.1.21-1) unstable; urgency=low

  * New maintainer (Closes: #599895).
    - Thanks to Marcela Tiznado (mlt) for the work done so far.
  * New upstream release (Closes: #583646).
    - Adds option to not display e.g. periodic items (Closes: #439115). 
  * Bump compat level to 7. Simplify debian/rules to tiny format.
  * Convert to '3.0 (quilt)' source package format.
  * debian/control:
    - Architecture: all as package contains only architecture-independent
      files (Closes: #451606).
    - Add Homepage field to source package stanza. 
    - Correct long description of package (Closes: #503271).
    - Add ${perl:Depends} substitution variable for dh_perl in Depends field.
    - Bump versioned dependency on debhelper to debhelper (>= 7.0.50) for
      override targets.
    - Add Vcs-Browser and Vcs-Git fields to the collab-maint repository.
  * debian/rules: override target for dh_auto_test to no run the tests. 
  * Don't install README anymore. 
  * Add fix_517481_typo_in_localization.patch to fix a typo in localization
    for spanish translations. Thanks to Mauro Lizaur <mauro@cacavoladora.org>
    for reporting (Closes: #517481).
  * Bump Standards-Version to 3.9.1. 
  * Add debian/watch only explaining in comments that new upstream version
    currently cannot be monitored. 
  * debian/copyright:
    - Update debian/copyright to revision 135 of format-specification in
      DEP5 for machine readable copyright file.
    - Update copyright years and add alternate licensing to
      Artistic license.
    - Explicit point to the GPL-1 text in common-licenses as by Debian
      Policy 3.9.1.
    - Refer to Debian systems in general.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Oct 2010 09:28:12 +0200

when (1.1.12-1) unstable; urgency=low

  * New release
  
 -- Marcela Tiznado <mlt@debian.org>  Mon, 26 May 2008 22:51:36 -0300

when (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #428420)

 -- Marcela Tiznado <mlt@debian.org>  Mon, 11 Jun 2007 15:27:58 +0000
