## when 1.1.28

=== debian/changelog ===
when (1.1.28-1) unstable; urgency=low

  * New upstream release.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 15 Mar 2011 09:41:13 +0100

when (1.1.27-1) unstable; urgency=low

  * New upstream release. 

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 24 Feb 2011 08:34:21 +0100

when (1.1.26-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright years.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Feb 2011 15:31:52 +0100

when (1.1.24-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Refresh copyright years for debian/* packaging.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Jan 2011 12:20:35 +0100
