## when 1.1.29

=== debian/changelog ===
when (1.1.29-1) unstable; urgency=low

  * Imported Upstream version 1.1.29
  * Add debian/NEWS file documenting new prefilter function.
    New upstream version has the ability of spliting the calendar file into
    smaller calendars. (Closes: #621896)
  * Add m4 to Recommends
  * Bump Debhelper compat level to 8.
    Adjust Build-Depends on debhelper to (>= 8)
  * Bump Standards-Version to 3.9.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 22 Dec 2011 10:37:06 +0100
