=== debian/control ===
Source: when
Section: misc
Priority: extra
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl
Standards-Version: 3.9.2
Homepage: http://www.lightandmatter.com/when/when.html
Vcs-Browser: http://git.debian.org/?p=collab-maint/when.git
Vcs-Git: git://git.debian.org/git/collab-maint/when.git

Package: when
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: m4
Description: tiny personal calendar
 Minimalistic personal calendar. It runs from the command
 line, and it uses a plain text file format, which you can edit
 using your favorite editor.
