## when 1.1.31

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,13 @@
 #    make post
 #    touch /home/bcrowell/Documents/web/source/when/when.source
 #    cd /home/bcrowell/Documents/web/source && make
-# Update it on freshmeat.
+# Update it on freecode.com.
 # Updating manpage doesn't work right, for reasons I don't understand. M4 seems to remember
 # the previous version of manpage.txt rather than reading it in afresh. To work around this,
 # need to rename it to something other than manpage.txt, alter the when.source file to refer
 # to the new name, run M4.
 # Formatting of holidays section of manpage is also messed up. Fixed by hand in html version.
+# M4 tries to carry out the stuff about M4 in the manpage, so fix that by hand.
 
 FILES = when Makefile README when.1
 
@@ -97,7 +98,7 @@
 	rm -Rf when_$(VERSION)
 	mkdir when_$(VERSION)
 	cp when_$(VERSION).orig.tar.gz when_$(VERSION)
-	cp when_$(VERSION)-*.diff.gz when_$(VERSION)
+	-cp when_$(VERSION)-*.diff.gz when_$(VERSION)
 	cp when_$(VERSION)-*.dsc when_$(VERSION)
 	tar -zcf when_$(VERSION)-debian-source.tar.gz when_$(VERSION)
 	rm -Rf when_$(VERSION)
@@ -141,3 +142,6 @@
 	when --language="en" --test_expression="2010 jul 5,1,c=4,c variable, for a Monday"
 	when --language="en" --test_expression="2015 jul 3,1,c=4,c variable, for a Friday"
 	when --language="en" --test_expression="2012 jul 4,1,c=0-1,c variable, for a Tu-Th weekday"
+	when --language="en" --test_expression="2011 mar 11,1,w=f,unambiguous single-letter literal for weekday"
+	when --language="en" --test_expression="2011 mar 10,e,w=t,ambiguous single-letter literal for weekday"
+	when --language="en" --test_expression="2011 mar 10,1,m%6=3,parser properly differentiates m=... (month literal expected on r.h.s.) from m%..."
