=== debian/changelog ===
when (1.1.31-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.5
  * Add 729741-fix-french-translation-for-months-names.patch patch.
    Fix translation for month names in french.
    Thanks to nb <nb@dagami.org> for the patch (Closes: #729741)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 17 Nov 2013 21:05:54 +0100

when (1.1.31-2) unstable; urgency=low

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 May 2013 06:07:29 +0200

when (1.1.31-1) experimental; urgency=low

  * Imported Upstream version 1.1.31
  * Update copyright years for upstream files and debian/* packaging
  * Use canonical URI (anonscm.debian.org) for Vcs-* fields

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 28 Mar 2013 08:02:09 +0100

when (1.1.30-1) experimental; urgency=low

  * Imported Upstream version 1.1.30
  * Update debian/copyright information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for debian/* packaging.
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 16 Nov 2012 19:39:21 +0100
