=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://www.lightandmatter.com/when/when.html
-Vcs-Browser: http://git.debian.org/?p=collab-maint/when.git
-Vcs-Git: git://git.debian.org/git/collab-maint/when.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/when.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/when.git
 
 Package: when
 Architecture: all
