=== debian/changelog ===
when (1.1.33-1) unstable; urgency=medium

  * Imported Upstream version 1.1.33
  * Refresh 729741-fix-french-translation-for-months-names.patch patch
  * Update copyright years for debian/* packaging

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Jul 2014 13:17:11 +0200
