## when 1.1.34

=== debian/changelog ===
when (1.1.34-2) unstable; urgency=medium

  * Upload to unstable
  * Update Vcs-Browser URL to cgit web frontend

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 28 Apr 2015 17:47:03 +0200

when (1.1.34-1) experimental; urgency=medium

  * Imported Upstream version 1.1.34
  * Drop 729741-fix-french-translation-for-months-names.patch patch.
    Patch was applied upstream.
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian Policy 3.9.6

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 03 Mar 2015 21:12:38 +0100
