=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.lightandmatter.com/when/when.html
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/when.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/when.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/when.git
 
 Package: when
