=== debian/changelog ===
when (1.1.35-1) unstable; urgency=medium

  * Imported Upstream version 1.1.35
  * Bump Debhelper compat level to 9

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Sep 2015 06:09:57 +0200
