=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: extra
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
 Standards-Version: 3.9.6
 Homepage: http://www.lightandmatter.com/when/when.html
