## when 1.1.36

=== debian/changelog ===
when (1.1.36-1) unstable; urgency=medium

  * Imported Upstream version 1.1.36
    - Removes inactive code that caused problem with Perl 5.24. Invoking
      under Perl 5.24 causes 'Invalid range "y-a" in transliteration
      operator' error as well causing FTBFS. Thanks Niko Tyni for the report.
      (Closes: #825955)
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 02 Jun 2016 14:18:30 +0200
