## when 1.1.37

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # making a new version:
 #    change version number near top of program
 #    [doesn't work: change version number in *TWO PLACES* in /home/bcrowell/Documents/web/source/when/when.source]
+#    Update version numbers on web page (no longer made from .source file).
 #    make install (so make test will run the right version)
 #    make test
-#    make debian (see password file for password)
+#    make debian (see password file for password, is not one I use for anything else)
 #    make post
-#    Update version numbers on web page (no longer made from .source file).
 #    git: commit and push
 # Updating manpage doesn't work right, for reasons I don't understand. M4 seems to remember
 # the previous version of manpage.txt rather than reading it in afresh. To work around this,
