=== debian/changelog ===
when (1.1.37-2) unstable; urgency=medium

  * Add basic autopkgtests running upstream testsuite against installed binary

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Jun 2017 22:17:05 +0200

when (1.1.37-1) unstable; urgency=medium

  * New upstream version 1.1.37
  * debian/copyright: Use HTTPS transport protocol for Format URL
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Jun 2017 22:03:27 +0200
