=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.lightandmatter.com/when/when.html
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/when.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/when.git
