=== debian/watch ===
# Currently there is no possibility to monitor new
# upstream versions of 'when' as the new upstream
# versions are not released as when-$version.tar.gz
# but only as when.tar.gz.
