=== debian/changelog ===
when (1.1.38-2) unstable; urgency=medium

  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 23:37:27 +0100

when (1.1.38-1) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * New upstream version 1.1.38
  * Add an initial Gitlab CI config file
  * debian/.gitlab-ci.yml: Update image used for Gitlab CI
  * Bump Debhelper compat level to 10
  * Replace priority extra with optional as the former is deprecated
  * Update copyright years for debian/* packaging files
  * Set Rules-Requires-Root to no
  * Declare compliance with Debian policy 4.2.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Oct 2018 17:23:15 +0200
