=== debian/control ===
Source: when
Section: misc
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl
Standards-Version: 4.3.0
Homepage: http://www.lightandmatter.com/when/when.html
Vcs-Browser: https://salsa.debian.org/carnil/when
Vcs-Git: https://salsa.debian.org/carnil/when.git
Rules-Requires-Root: no

Package: when
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: m4
Description: tiny personal calendar
 Minimalistic personal calendar. It runs from the command
 line, and it uses a plain text file format, which you can edit
 using your favorite editor.
