## when 1.1.42

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # making a new version:
 #    change version number near top of program
-#    [doesn't work: change version number in *TWO PLACES* in /home/bcrowell/Documents/web/source/when/when.source]
 #    Update version numbers on web page (no longer made from .source file).
 #    make install (so make test will run the right version)
 #    make test
@@ -8,6 +7,9 @@
 #            ...this fails as of 2018 may 6, apparently because of incompatibility between versions of gpg
 #    make post
 #    git: commit and push
+#    git tag x.y.z && git push --tags
+#    In github, do what's described here: https://help.github.com/en/github/administering-a-repository/managing-releases-in-a-repository
+#      ... packagers for distros seem to want tags and github releases to make things easier for them
 # Updating manpage doesn't work right, for reasons I don't understand. M4 seems to remember
 # the previous version of manpage.txt rather than reading it in afresh. To work around this,
 # need to rename it to something other than manpage.txt, alter the when.source file to refer
@@ -46,7 +48,7 @@
 	install -m 755 temp $(DESTDIR)$(bindir)/when
 	# ... 755=u:rwx,go:rx
 	rm temp
-	gzip -9 <when.1 >when.1.gz
+	gzip -n9 <when.1 >when.1.gz
 	- test -d $(DESTDIR)$(MANDIR) || mkdir -p $(DESTDIR)$(MANDIR)
 	install -m 644 when.1.gz $(DESTDIR)$(MANDIR)
 	rm -f when.1.gz
@@ -76,7 +78,7 @@
 
 post: when.tar.gz when when.1
 	cp when.tar.gz $(HOME)/Lightandmatter/when
-	make_plain_text_manpage.pl >$(HOME)/Documents/web/source/when/manpage.txt
+	#make_plain_text_manpage.pl >$(HOME)/Documents/web/source/when/manpage.txt
 	# debian stuff fails as of 2018 may 6:
 	#cp when_$(VERSION)-debian-source.tar.gz $(HOME)/Lightandmatter/when
 	#cp when_$(VERSION)-*_all.deb $(HOME)/Lightandmatter/when
