=== debian/changelog ===
when (1.1.42-1) unstable; urgency=medium

  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP
  * Add debian/watch file to track new upstream releases
  * Bump Debhelper compat level to 13
  * Add basic information for debian/upstream/metadata
  * Declare compliance with Debian policy 4.6.0
  * Update copyright years for debian/* packaging files
  * New upstream version 1.1.42

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 15 Dec 2021 10:53:55 +0100
