=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://www.lightandmatter.com/when/when.html
 Vcs-Browser: https://salsa.debian.org/carnil/when
 Vcs-Git: https://salsa.debian.org/carnil/when.git
