## when 1.1.45

=== Makefile ===
--- 
+++ 
@@ -145,6 +145,7 @@
 	when --language="en" --test_expression="2010 jul 5,1,c=4,c variable, for a Monday"
 	when --language="en" --test_expression="2015 jul 3,1,c=4,c variable, for a Friday"
 	when --language="en" --test_expression="2012 jul 4,1,c=0-1,c variable, for a Tu-Th weekday"
+	when --language="en" --test_expression="2022 aug 31,1,d=n,variable n = number of days in the month"
 	when --language="en" --test_expression="2011 mar 11,1,w=f,unambiguous single-letter literal for weekday"
 	when --language="en" --test_expression="2011 mar 10,e,w=t,ambiguous single-letter literal for weekday"
 	when --language="en" --test_expression="2011 mar 10,1,m%6=3,parser properly differentiates m=... (month literal expected on r.h.s.) from m%..."
