=== debian/changelog ===
when (1.1.45-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * New upstream version 1.1.45

  [ Debian Janitor ]
  * Apply multi-arch hints. + when: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 09 Dec 2022 22:07:23 +0100

when (1.1.44-1) unstable; urgency=medium

  * New upstream version 1.1.44

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 23 Sep 2022 23:05:55 +0200

when (1.1.43-1) unstable; urgency=medium

  * New upstream version 1.1.42
  * Declare compliance with Debian policy 4.6.1
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 25 Aug 2022 23:30:41 +0200
